#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_frame (library) ######################

tde_add_library( mpeg_frame STATIC_PIC
  SOURCES
    pcmFrame.cpp
    audioFrame.cpp floatFrame.cpp frame.cpp
    frameQueue.cpp IOFrameQueue.cpp
    audioFrameQueue.cpp framer.cpp
    rawDataBuffer.cpp rawFrame.cpp
)


##### other data ################################

install(
  FILES
    pcmFrame.h audioFrame.h
    floatFrame.h frameQueue.h frame.h
    IOFrameQueue.h audioFrameQueue.h
    framer.h rawDataBuffer.h rawFrame.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/frame
)
